# Interface WitnessReportStartEventData

#### Hierarchy

- EventData
  - WitnessReportStartEventData
    - WitnessModuleEventData

- Defined in modules/packages/witness/dist/types/Witness.d.ts:21

#####
Index

### Properties

reportStart

## Properties

### reportStart

reportStart: {
module: WitnessModule<WitnessParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.witness.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<{
schema: "network.xyo.witness.config";
targetSet?: SchemaFields & PayloadFields & PayloadSet & {
schema: "network.xyo.payload.set";
};
}, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, WitnessModuleEventData>;
} & {
inPayloads?: (SchemaFields & PayloadFields & {
schema: string;
})[];
}

- Defined in modules/packages/witness/dist/types/Witness.d.ts:22

Generated using TypeDoc